.sidebar{
  float: right;
  width: 20%;
  height: 100vh;
  font-size: 20px;
  text-align: center;
  background-color: black;
}

a{
 display: block;
 margin: 0px;
 padding: 10% 5%;
 font-family: 'Courier New', Courier, monospace;
 text-decoration: none;
 text-align: left;
 color: #fff;
 width: 100%;
}

a:hover{
  background-image: linear-gradient(120deg, #a6c0fe 0%, #f68084 100%);

}